<template>
  <b-badge :variant="variant" style="text-transform: uppercase;">{{
    title
  }}</b-badge>
</template>

<script>
export default {
  props: {
    type: {
      type: String,
      required: true,
    },
  },
  data() {
    return {
      variants: {
        SITE: 'primary',
        EMAIL: 'info',
        PDF: 'secondary',
      },
      titles: {
        SITE: 'SITE',
        EMAIL: 'E-MAIL',
        PDF: 'PDF',
      },
    };
  },
  computed: {
    variant() {
      return this.variants[this.type] || 'secondary';
    },
    title() {
      return this.titles[this.type] || this.type;
    },
  },
};
</script>
